gnome-language-selector crashed with SystemError in markInstall()

Bug #331380 reported by newore on 2009-02-19
114
This bug affects 21 people
Affects Status Importance Assigned to Milestone
language-selector (Ubuntu)
Low
Arne Goetje

Bug Description

Binary package hint: language-selector

tried to check 'complex character' box, first thing after starting

during start up got "fix broken packages" without any description of broken
package

ProblemType: Crash
Architecture: i386
DistroRelease: Ubuntu 9.04
ExecutablePath: /usr/bin/gnome-language-selector
InterpreterPath: /usr/bin/python2.5
Package: language-selector 0.3.21
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/gnome-language-selector
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/gnome-language-selector']
SourcePackage: language-selector
Title: gnome-language-selector crashed with SystemError in markInstall()
Uname: Linux 2.6.28-8-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

newore (rawdirt) wrote :
newore (rawdirt) wrote :

the broken package appears to be kde-en (i use kpowersve).

now, when checking chinese, japanese, russian after reboot,
the windows spins wheel and consumes no cpu. reboot was
due to nonreturn of language support window after bug report.

yoiks

newore (rawdirt) wrote :

now using 0.3.21 language selector I am able to choose russian, chinese, and japanese languages.
I am able to select the complex character checkbox without crashing.

ubuntu 9.10

Arne Goetje (arnegoetje) wrote :

Can you please test if this is still an issue with the latest version in Jaunty? Thanks.

Changed in language-selector (Ubuntu):
status: New → Incomplete

  seems to be OK since python and/or language-pack update on 21/02/09

2009/3/23 Arne Goetje <email address hidden>

> Can you please test if this is still an issue with the latest version in
> Jaunty? Thanks.
>
> ** Changed in: language-selector (Ubuntu)
> Status: New => Incomplete
>
> --
> gnome-language-selector crashed with SystemError in markInstall()
> https://bugs.launchpad.net/bugs/331380
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “language-selector” source package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: language-selector
>
> tried to check 'complex character' box, first thing after starting
>
> during start up got "fix broken packages" without any description of broken
> package
>
> ProblemType: Crash
> Architecture: i386
> DistroRelease: Ubuntu 9.04
> ExecutablePath: /usr/bin/gnome-language-selector
> InterpreterPath: /usr/bin/python2.5
> Package: language-selector 0.3.21
> PackageArchitecture: all
> ProcCmdline: /usr/bin/python /usr/bin/gnome-language-selector
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> PythonArgs: ['/usr/bin/gnome-language-selector']
> SourcePackage: language-selector
> Title: gnome-language-selector crashed with SystemError in markInstall()
> Uname: Linux 2.6.28-8-generic i686
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
>

newore (rawdirt) wrote :

just updated everything. language selector at 4.2.

program working ok, tested by installing spanish. also using english, russian,
chinese, japanese.

still using kde's powersave utility.

seems to be fine. previous problem seemed to show up at boot, just after one
of the package updates. and as noted, I had not seen it since 3.2.1

bob

On Mon, Mar 23, 2009 at 7:16 AM, Arne Goetje <email address hidden> wrote:
> Can you please test if this is still an issue with the latest version in
> Jaunty? Thanks.
>
> ** Changed in: language-selector (Ubuntu)
>       Status: New => Incomplete
>
> --
> gnome-language-selector crashed with SystemError in markInstall()
> https://bugs.launchpad.net/bugs/331380
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Arne Goetje (arnegoetje) wrote :

Thanks, closing then.

Changed in language-selector (Ubuntu):
status: Incomplete → Fix Released
Arne Goetje (arnegoetje) wrote :

unfortunately the bug is still present in Karmic.

Changed in language-selector (Ubuntu):
status: Fix Released → Confirmed
Arne Goetje (arnegoetje) wrote :

mvo, can you please take a look at this? How to catch a broken package cache? Something in python-apt which needs fixing? Or in language-selector?

Changed in language-selector (Ubuntu):
assignee: nobody → Michael Vogt (mvo)
lew (lhsmith2007) wrote :

i've got the same problem in karmic. any idea when there will be a clear work around?

Bluppie (benhyper) wrote :

Language packs are updated but no fix for this bug is relies, :( or have impact on this.
It seems that language selector is missing install packs. are they installed in the right pleased?

Michael Vogt (mvo) on 2009-10-20
Changed in language-selector (Ubuntu):
assignee: Michael Vogt (mvo) → nobody
Arne Goetje (arnegoetje) on 2010-03-26
Changed in language-selector (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Low

It worked fine after I changed server from "speglar.simnet.is" to ubuntu.lhi.is (I was installing the Icelandic lanquise) I tried ca 10 times on the speglar.simnet.is server

Pavel Mlčoch (pavkamlc) wrote :

On lucid don't work too. I tried install Czech support but this is terminal output:

mlcochp@ubuntu:~$ gnome-language-selector
/usr/lib/python2.6/dist-packages/LanguageSelector/gtk/GtkLanguageSelector.py:802: GtkWarning: gtk_cell_view_set_cell_data: assertion `cell_view->priv->displayed_row != NULL' failed
  cell = combo.get_child().get_cell_renderers()[0]
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/LanguageSelector/gtk/GtkLanguageSelector.py", line 1021, in on_button_apply_clicked
    if self.commitAllChanges() > 0:
  File "/usr/lib/python2.6/dist-packages/LanguageSelector/gtk/GtkLanguageSelector.py", line 555, in commitAllChanges
    (inst_list, rm_list) = self.build_commit_lists()
  File "/usr/lib/python2.6/dist-packages/LanguageSelector/gtk/GtkLanguageSelector.py", line 503, in build_commit_lists
    self._cache.tryChangeDetails(langInfo)
  File "/usr/lib/python2.6/dist-packages/LanguageSelector/LangCache.py", line 253, in tryChangeDetails
    self[translation].markInstall()
  File "/usr/lib/python2.6/dist-packages/apt/deprecation.py", line 82, in deprecated_function
    return func(*args, **kwds)
  File "/usr/lib/python2.6/dist-packages/apt/deprecation.py", line 103, in deprecated_function
    return func(*args, **kwds)
  File "/usr/lib/python2.6/dist-packages/apt/package.py", line 1205, in mark_install
    fixer.resolve(True)
SystemError: E:Unable to correct problems, you have held broken packages.

Arne Goetje (arnegoetje) on 2010-05-27
Changed in language-selector (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Arne Goetje (arnegoetje)
milestone: none → maverick-alpha-2
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package language-selector - 0.6.0

---------------
language-selector (0.6.0) maverick; urgency=low

  [ Michael Vogt ]
  * add dbus backend, no need for gksu anymore (LP: #290570)
  * use aptdaemon in the gtk frontend
  * run tests at build time
  * fix "installs missing packages without opt-out" (LP: #584438)
  * code cleanup

  [Arne Goetje]
  * raise exception and display error when package cache is broken (LP: #331380)
 -- Michael Vogt <email address hidden> Fri, 28 May 2010 22:13:17 +0200

Changed in language-selector (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers